<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<head>
  <og:text>
	<!-- srcﾊﾟｽが呼び出し元で変わるので、階層が異なる場合は、ｴﾗｰになる。 -->
	<script src="{@SYS.JSP}/common/jquery/unblockUI.js" ><!-- --></script>

	<link rel="stylesheet" href="{@SYS.JSP}/common/default.css" />
	<link rel="stylesheet" href="{@SYS.JSP}/custom/custom.css" />
  </og:text>
	<style>
		#time{ text-align:right; color: #ee7777; }
		#msg{ text-align:center; }
	</style>
</head>

<body>
	<jsp:scriptlet>
		final String errDispLvl = org.opengion.hayabusa.common.HybsSystem.sys( "ERR_DISP_LEVEL" );

		final int statusCode = pageContext.getErrorData().getStatusCode();

		// 401の場合はコードを送る必要がある
		if( statusCode == 401 ){
			response.addHeader("WWW-Authenticate", "BASIC realm=\"Web App\"");
			response.setStatus(401);
	//		pageContext.include( "/jsp/common/error_Auth.jsp", false );
		}
		else if( statusCode == 403 || statusCode ==404 ){
			pageContext.include( "/jsp/common/error_Forbidden.jsp", false );
		}
		else if( "1".equals( errDispLvl ) ) {
			pageContext.include( "/jsp/common/error_1.jsp", false );
		}
		else if( "2".equals( errDispLvl ) ) {
			pageContext.include( "/jsp/common/error_2.jsp", false );
		}
		else {
			pageContext.include( "/jsp/common/error_0.jsp", false );
		}
	</jsp:scriptlet>
</body>

<jsp:directive.include file="/jsp/common/htmlend2.jsp" />
</jsp:root>
